package com.chenyang.nse.bussiness.service.console;

import com.chenyang.nse.bussiness.entity.orm.table.console.engine.TConsoleEngineProperty;
import com.chenyang.nse.bussiness.entity.orm.table.console.engine.TConsoleEnginePropertyvalue;
import com.chenyang.nse.bussiness.entity.orm.table.console.engine.TConsoleEngineType;
import java.util.List;

public interface EngineManageService {
   List<TConsoleEngineType> queryAllEngineType();

   void removeEngineType(String id);

   void saveEngineType(TConsoleEngineType enginetype);

   List<TConsoleEngineProperty> queryEngineProperty(String enginetypeid);

   void saveEngineProperty(TConsoleEngineProperty engineproperty);

   void removeEngineProperty(String id);

   List<TConsoleEnginePropertyvalue> queryEnginePropertyValue(String engineid);

   TConsoleEnginePropertyvalue queryEnginePropertyValue(String engineid, String enginepropertyid);

   void saveEnginePropertyValue(TConsoleEnginePropertyvalue enginepropertyvalue);

   void removeEnginePropertyValue(String id);

   void removeEnginePropertyValue(String engineid, String enginepropertyid);
}
